Package org.eclipse.cdt.core.parser

# Class ExtendedScannerInfo

java.lang.Object
org.eclipse.cdt.core.parser.ScannerInfo
org.eclipse.cdt.core.parser.ExtendedScannerInfo

All Implemented Interfaces:
  `IExtendedScannerInfo`, `IScannerInfo`

public class ExtendedScannerInfo extends ScannerInfo implements IExtendedScannerInfo
Implementation for the `IExtendedScannerInfo` interface. Allows to configure the preprocessor.

Since:
  5.5

## Constructor Summary

Constructors
Constructor
Description
`ExtendedScannerInfo()`
`ExtendedScannerInfo(Map<String,String> definedSymbols, String[] includePaths)`
`ExtendedScannerInfo(Map<String,String> definedSymbols, String[] includePaths, String[] macroFiles, String[] includeFiles)`
`ExtendedScannerInfo(Map<String,String> definedSymbols, String[] includePaths, String[] macroFiles, String[] includeFiles, String[] localIncludePaths)`
`ExtendedScannerInfo(IScannerInfo info)`

## Method Summary

Modifier and Type
Method
Description
`IncludeExportPatterns`
`getIncludeExportPatterns()`
Returns the regular expression patterns matching export directives for included files.
`String[]`
`getIncludeFiles()`
Return an array of files that will be parsed before parsing the translation-unit as if the these files were included using include directives.
`String[]`
`getLocalIncludePath()`
Return an array of paths that is searched after the current directory, when an include directive with double-quotes is processed.
`String[]`
`getMacroFiles()`
Return an array of files which will be preprocessed before parsing the translation-unit in order to populate the macro-dictionary.
`IParserSettings`
`getParserSettings()`
Returns additional settings for the parser.
`void`
`setIncludeExportPatterns(IncludeExportPatterns patterns)`
Sets the regular expression patterns matching export directives for included files.
`void`
`setParserSettings(IParserSettings parserSettings)`
Sets additional settings for configuring the parser.

### Methods inherited from class org.eclipse.cdt.core.parser.ScannerInfo

`getDefinedSymbols, getIncludePaths`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.cdt.core.parser.IScannerInfo

`getDefinedSymbols, getIncludePaths`

## Constructor Details

### ExtendedScannerInfo

public ExtendedScannerInfo()

### ExtendedScannerInfo

public ExtendedScannerInfo(Map<String,String> definedSymbols, String[] includePaths)

### ExtendedScannerInfo

public ExtendedScannerInfo(Map<String,String> definedSymbols, String[] includePaths, String[] macroFiles, String[] includeFiles)

### ExtendedScannerInfo

public ExtendedScannerInfo(Map<String,String> definedSymbols, String[] includePaths, String[] macroFiles, String[] includeFiles, String[] localIncludePaths)

Since:
  5.3

### ExtendedScannerInfo

public ExtendedScannerInfo(IScannerInfo info)

## Method Details

### getMacroFiles

public String[] getMacroFiles()
Description copied from interface: `IExtendedScannerInfo`
Return an array of files which will be preprocessed before parsing the translation-unit in order to populate the macro-dictionary.

Specified by:
  `getMacroFiles` in interface `IExtendedScannerInfo`

### getIncludeFiles

public String[] getIncludeFiles()
Description copied from interface: `IExtendedScannerInfo`
Return an array of files that will be parsed before parsing the translation-unit as if the these files were included using include directives.

Specified by:
  `getIncludeFiles` in interface `IExtendedScannerInfo`

### getLocalIncludePath

public String[] getLocalIncludePath()
Description copied from interface: `IExtendedScannerInfo`
Return an array of paths that is searched after the current directory, when an include directive with double-quotes is processed.

In order to suppress the use of the directory of the current file (side effect of gcc option -I-) you can pass '-' as one of the include paths. Other than that, the '-' will not have an effect, in particular it will not split the include path as the -I- option would do.

Specified by:
  `getLocalIncludePath` in interface `IExtendedScannerInfo`

### getIncludeExportPatterns

public IncludeExportPatterns getIncludeExportPatterns()
Returns the regular expression patterns matching export directives for included files.

Since:
  5.5
See Also:
  - `IncludeExportPatterns`
Restriction:
  This method is not intended to be referenced by clients.

### setIncludeExportPatterns

public void setIncludeExportPatterns(IncludeExportPatterns patterns)
Sets the regular expression patterns matching export directives for included files.

Since:
  5.5
See Also:
  - `IncludeExportPatterns`
Restriction:
  This method is not intended to be referenced by clients.

### getParserSettings

public IParserSettings getParserSettings()
Returns additional settings for the parser.

Since:
  5.6

### setParserSettings

public void setParserSettings(IParserSettings parserSettings)
Sets additional settings for configuring the parser.

Since:
  5.6